> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Company

> Update a `Company` by ID

This endpoint requires the `edit_company` permission



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/companies/{id}
openapi: 3.0.3
info:
  title: Horizon API V1
  version: '1.0'
  contact:
    name: Tread
    url: https://tread.io
    email: developers@tread.io
  description: >-
    This is the Version 1 implementation.


    When in doubt we default to the practices outlined
    [here](https://www.vinaysahni.com/best-practices-for-a-pragmatic-restful-api#advanced-queries)
  license:
    name: Private
    url: https://tread.io
servers:
  - description: production
    url: https://api.tread-horizon.com
security:
  - bearerAuth: []
tags:
  - name: Projects
  - name: Orders
  - name: Loads
  - name: Jobs
  - name: JobAssignments
  - name: ApprovalAssignments
  - name: Equipment
  - name: FuelSurcharges
  - name: Materials
  - name: Accounts
  - name: Tickets
  - name: Users
  - name: Sites
  - name: Companies
  - name: Departments
  - name: Rates
  - name: Services
  - name: EquipmentType
  - name: FileAttachments
  - name: MaterialType
  - name: LineItemType
  - name: DriverStateEvent
  - name: Authentication
  - name: IamRoles
  - name: Typeaheads
  - name: Integrations
  - name: Reflection
  - name: LoadCycles
  - name: AddOns
  - name: ServiceClass
  - name: Invoices
  - name: JobSummaries
  - name: LoadSummaries
  - name: CompanyShares
  - name: UserDevicePermission
  - name: Drivers
  - name: Settlements
  - name: LocationHistories
  - name: Telematics
  - name: OmniReports
  - name: DriverDays
  - name: Agave
  - name: AddOnCharges
  - name: ResourceUsageLogs
  - name: ResourceScopes
  - name: TravelledDistances
  - name: MaterialRates
  - name: CompanyDayJobStats
  - name: KMLFiles
  - name: AutoAddOnAssignments
  - name: SiteRateSchedules
  - name: TwilioIntegrations
  - name: Foremen
  - name: AccountExternalTruckIdentifier
  - name: GeofenceTriggers
  - name: Labels
  - name: Compliance
  - name: ComplianceDocuments
paths:
  /v1/companies/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Company ID
      - $ref: '#/components/parameters/Accept-Language'
    patch:
      tags:
        - Companies
      summary: Update a Company
      description: |-
        Update a `Company` by ID

        This endpoint requires the `edit_company` permission
      operationId: patch-v1-companies-id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Company-Update'
        description: >-
          Note that all parameters are optional - a caller need only provide the
          `Company` fields that they wish to change.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Company-Read'
                required:
                  - data
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '406':
          $ref: '#/components/responses/Error'
        '415':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/ModelError'
components:
  parameters:
    Accept-Language:
      name: Accept-Language
      in: header
      schema:
        type: string
        default: en
        example: en
      description: >-
        The Accept-Language request HTTP header indicates the natural language
        and locale that the client prefers. 
  schemas:
    Company-Update:
      title: Company-Update
      x-stoplight:
        id: vzy6sd8how2v7
      type: object
      properties:
        legal_name:
          type: string
          example: Tread
          description: >-
            Legal registered name of the `Company` - used for billing. Must be
            globally unique
        dba_name:
          type: string
          description: Doing Business As name. Must be globally unique
          nullable: true
        address:
          $ref: '#/components/schemas/Address-Update'
        tread_customer:
          type: boolean
          default: false
          description: Flag indicating that this `Company` is a customer of Tread
        language:
          $ref: '#/components/schemas/Language'
        date_format:
          $ref: '#/components/schemas/DateFormat'
        time_format:
          $ref: '#/components/schemas/TimeFormat'
        system_of_measure:
          $ref: '#/components/schemas/SystemOfMeasure'
        unit_of_distance:
          $ref: '#/components/schemas/UnitOfDistance'
        currency:
          $ref: '#/components/schemas/Currency'
        time_zone:
          $ref: '#/components/schemas/TimeZone'
        primary_contact:
          $ref: '#/components/schemas/Contact-Update'
        billing_contact:
          $ref: '#/components/schemas/Contact-Update'
        usage_status:
          $ref: '#/components/schemas/UsageStatus'
        billing_status:
          $ref: '#/components/schemas/BillingStatus'
        saas_billing_plan:
          $ref: '#/components/schemas/SaasBillingPlan'
        company_type:
          $ref: '#/components/schemas/CompanyType'
        fuel_surcharge_percentage:
          type: number
          x-stoplight:
            id: tobcjytkoild1
          minimum: 0
          maximum: 100
        auth_methods:
          type: array
          x-stoplight:
            id: gs8umv2xuewdq
          items:
            $ref: '#/components/schemas/AuthMethod'
        ai_review_loads:
          type: boolean
          x-stoplight:
            id: ai3review4loads
          description: Enable AI review of loads for this company
        default_lat:
          type: string
          x-stoplight:
            id: 5ddw2beimkdbg
          nullable: true
        default_lon:
          type: string
          x-stoplight:
            id: mor2bcbxiu7zx
          nullable: true
        site_radius:
          type: number
          x-stoplight:
            id: qvg3rpedhjo8b
          nullable: true
        default_geofence_delay_seconds:
          type: integer
          x-stoplight:
            id: a2pit27zk3wjw
      additionalProperties: false
    Company-Read:
      title: Company-Read
      x-stoplight:
        id: qcutoncg3n7kl
      allOf:
        - $ref: '#/components/schemas/Company-Read-Nested'
        - $ref: '#/components/schemas/Timestamps'
        - type: object
          x-stoplight:
            id: cak4sl1rqwjew
          required:
            - dba_name
            - tread_customer
            - address
            - stytch_organization_id
            - language
            - time_format
            - date_format
            - unit_of_distance
            - system_of_measure
            - currency
            - time_zone
            - primary_contact
            - billing_contact
            - logo_url
            - billing_status
            - saas_billing_plan
            - usage_status
            - fuel_surcharge_percentage
            - auth_methods
            - auto_complete_order
            - ai_review_loads
            - site_radius
            - default_geofence_delay_seconds
          properties:
            dba_name:
              type: string
              x-stoplight:
                id: 82k7xebdtasux
              description: Doing Business As name. Must be globally unique
              nullable: true
            tread_customer:
              type: boolean
              x-stoplight:
                id: 4crhqnx07wi3s
              description: Flag indicating that this `Company` is a customer of Tread
            address:
              $ref: '#/components/schemas/Address-Read-Nested'
            stytch_organization_id:
              type: string
              x-stoplight:
                id: 4jj13auzko3ud
              description: >-
                Stytch Organization ID of this `Company`. Must be globally
                unique.
              nullable: true
            language:
              $ref: '#/components/schemas/Language'
            time_format:
              $ref: '#/components/schemas/TimeFormat'
            date_format:
              $ref: '#/components/schemas/DateFormat'
            unit_of_distance:
              $ref: '#/components/schemas/UnitOfDistance'
            system_of_measure:
              $ref: '#/components/schemas/SystemOfMeasure'
            currency:
              $ref: '#/components/schemas/Currency'
            time_zone:
              $ref: '#/components/schemas/TimeZone'
            primary_contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
            billing_contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
            logo_url:
              x-stoplight:
                id: mnw8c7bini09x
              type: string
              format: uri
              nullable: true
            billing_status:
              $ref: '#/components/schemas/BillingStatus'
            saas_billing_plan:
              $ref: '#/components/schemas/SaasBillingPlan'
            usage_status:
              $ref: '#/components/schemas/UsageStatus'
            parent_company:
              $ref: '#/components/schemas/Company-Read-Nested'
            fuel_surcharge_percentage:
              type: string
              x-stoplight:
                id: u43p6mfcjmxy3
            auth_methods:
              type: array
              x-stoplight:
                id: y7bj1dk8xtm09
              items:
                $ref: '#/components/schemas/AuthMethod'
            auto_complete_order:
              type: boolean
              x-stoplight:
                id: f4fro1527ji43
            ai_review_loads:
              type: boolean
              x-stoplight:
                id: ai2review3loads
              description: Enable AI review of loads for this company
            default_lat:
              type: string
              x-stoplight:
                id: 27ftmnviz2er7
              example: '43.648947'
              nullable: true
            default_lon:
              type: string
              x-stoplight:
                id: mr9iazlac5hu5
              example: '-79.389193'
              nullable: true
            site_radius:
              type: string
              x-stoplight:
                id: 1fhl9nsdxt5k7
              nullable: true
            default_geofence_delay_seconds:
              type: integer
              x-stoplight:
                id: 7oqwj60jyv1jg
      description: 'Company model for reads. '
    Address-Update:
      title: Address-Update
      x-stoplight:
        id: 9btd83m0o0tsa
      properties:
        thoroughfare:
          type: string
          description: Street address
          example: 123 Fake St.
        premise:
          type: string
          description: Apartment, Suite, Box number, etc.
          example: 3rd Floor
        locality:
          type: string
          description: City / Town
          example: New York
        administrative_area:
          type: string
          description: State / Province / Region (ISO code when available)
          example: NY
        postal_code:
          type: string
          description: Postal code / ZIP Code
          example: '10011'
        country:
          type: string
          minLength: 2
          maxLength: 2
          pattern: ^[A-Z]{2}
          example: US
          description: 2 character country ISO code
        lat:
          type: string
          x-stoplight:
            id: 5uu3ex2lbmyzj
          description: |-
            latitude of the `Address`. 

            Must be a stringified number between -90 and 90 inclusive.

            Required if `lon` is present.
        lon:
          type: string
          x-stoplight:
            id: y8xd9dp6rwfeu
          description: |-
            longitude of the `Address`. 

            Must be a stringified number between -180 and 180 inclusive.

            Required if `lat` is present.
        place_id:
          type: string
          x-stoplight:
            id: ujv5qpg067ycc
          description: NextBillion placeID
        _destroy:
          type: integer
          x-stoplight:
            id: 48a0is0umjabv
          description: >-
            If this is provided with value of `1` like so `_destroy: 1` then
            this `Address` will be deleted. The `id` must be set.
      type: object
      additionalProperties: false
    Language:
      title: Language
      x-stoplight:
        id: 1m5jdnwipywby
      description: Supported ISO 639-1 Language Codes
      enum:
        - en
        - es
        - fr
      example: en
      default: en
    DateFormat:
      title: DateFormat
      x-stoplight:
        id: i3g08ad8vmf6g
      enum:
        - MM/DD/YYYY
        - DD/MM/YYYY
        - YYYY/MM/DD
      example: MM/DD/YYYY
      default: MM/DD/YYYY
    TimeFormat:
      title: TimeFormat
      x-stoplight:
        id: 2fy67ypn6nohz
      enum:
        - 12-hour
        - 24-hour
      example: 12-hour
      default: 12-hour
    SystemOfMeasure:
      title: SystemOfMeasure
      x-stoplight:
        id: hu40i1qp6a4ed
      enum:
        - imperial
        - metric
      example: imperial
      default: imperial
      description: Unit system to use when displaying non-distance measurements
    UnitOfDistance:
      title: UnitOfDistance
      x-stoplight:
        id: 5mw7vxpvk84iu
      enum:
        - mile
        - kilometer
      example: mile
      default: mile
      description: Unit to use when displaying distances
    Currency:
      title: Currency
      x-stoplight:
        id: 6omugo38dl0jl
      enum:
        - CAD
        - USD
      example: USD
      default: USD
      description: Currency
    TimeZone:
      title: TimeZone
      x-stoplight:
        id: 23bilsa9wx5xx
      enum:
        - Africa/Abidjan
        - Africa/Accra
        - Africa/Addis_Ababa
        - Africa/Algiers
        - Africa/Asmara
        - Africa/Asmera
        - Africa/Bamako
        - Africa/Bangui
        - Africa/Banjul
        - Africa/Bissau
        - Africa/Blantyre
        - Africa/Brazzaville
        - Africa/Bujumbura
        - Africa/Cairo
        - Africa/Casablanca
        - Africa/Ceuta
        - Africa/Conakry
        - Africa/Dakar
        - Africa/Dar_es_Salaam
        - Africa/Djibouti
        - Africa/Douala
        - Africa/El_Aaiun
        - Africa/Freetown
        - Africa/Gaborone
        - Africa/Harare
        - Africa/Johannesburg
        - Africa/Juba
        - Africa/Kampala
        - Africa/Khartoum
        - Africa/Kigali
        - Africa/Kinshasa
        - Africa/Lagos
        - Africa/Libreville
        - Africa/Lome
        - Africa/Luanda
        - Africa/Lubumbashi
        - Africa/Lusaka
        - Africa/Malabo
        - Africa/Maputo
        - Africa/Maseru
        - Africa/Mbabane
        - Africa/Mogadishu
        - Africa/Monrovia
        - Africa/Nairobi
        - Africa/Ndjamena
        - Africa/Niamey
        - Africa/Nouakchott
        - Africa/Ouagadougou
        - Africa/Porto-Novo
        - Africa/Sao_Tome
        - Africa/Timbuktu
        - Africa/Tripoli
        - Africa/Tunis
        - Africa/Windhoek
        - America/Adak
        - America/Anchorage
        - America/Anguilla
        - America/Antigua
        - America/Araguaina
        - America/Argentina/Buenos_Aires
        - America/Argentina/Catamarca
        - America/Argentina/ComodRivadavia
        - America/Argentina/Cordoba
        - America/Argentina/Jujuy
        - America/Argentina/La_Rioja
        - America/Argentina/Mendoza
        - America/Argentina/Rio_Gallegos
        - America/Argentina/Salta
        - America/Argentina/San_Juan
        - America/Argentina/San_Luis
        - America/Argentina/Tucuman
        - America/Argentina/Ushuaia
        - America/Aruba
        - America/Asuncion
        - America/Atikokan
        - America/Atka
        - America/Bahia
        - America/Bahia_Banderas
        - America/Barbados
        - America/Belem
        - America/Belize
        - America/Blanc-Sablon
        - America/Boa_Vista
        - America/Bogota
        - America/Boise
        - America/Buenos_Aires
        - America/Cambridge_Bay
        - America/Campo_Grande
        - America/Cancun
        - America/Caracas
        - America/Catamarca
        - America/Cayenne
        - America/Cayman
        - America/Chicago
        - America/Chihuahua
        - America/Ciudad_Juarez
        - America/Coral_Harbour
        - America/Cordoba
        - America/Costa_Rica
        - America/Coyhaique
        - America/Creston
        - America/Cuiaba
        - America/Curacao
        - America/Danmarkshavn
        - America/Dawson
        - America/Dawson_Creek
        - America/Denver
        - America/Detroit
        - America/Dominica
        - America/Edmonton
        - America/Eirunepe
        - America/El_Salvador
        - America/Ensenada
        - America/Fort_Nelson
        - America/Fort_Wayne
        - America/Fortaleza
        - America/Glace_Bay
        - America/Godthab
        - America/Goose_Bay
        - America/Grand_Turk
        - America/Grenada
        - America/Guadeloupe
        - America/Guatemala
        - America/Guayaquil
        - America/Guyana
        - America/Halifax
        - America/Havana
        - America/Hermosillo
        - America/Indiana/Indianapolis
        - America/Indiana/Knox
        - America/Indiana/Marengo
        - America/Indiana/Petersburg
        - America/Indiana/Tell_City
        - America/Indiana/Vevay
        - America/Indiana/Vincennes
        - America/Indiana/Winamac
        - America/Indianapolis
        - America/Inuvik
        - America/Iqaluit
        - America/Jamaica
        - America/Jujuy
        - America/Juneau
        - America/Kentucky/Louisville
        - America/Kentucky/Monticello
        - America/Knox_IN
        - America/Kralendijk
        - America/La_Paz
        - America/Lima
        - America/Los_Angeles
        - America/Louisville
        - America/Lower_Princes
        - America/Maceio
        - America/Managua
        - America/Manaus
        - America/Marigot
        - America/Martinique
        - America/Matamoros
        - America/Mazatlan
        - America/Mendoza
        - America/Menominee
        - America/Merida
        - America/Metlakatla
        - America/Mexico_City
        - America/Miquelon
        - America/Moncton
        - America/Monterrey
        - America/Montevideo
        - America/Montreal
        - America/Montserrat
        - America/Nassau
        - America/New_York
        - America/Nipigon
        - America/Nome
        - America/Noronha
        - America/North_Dakota/Beulah
        - America/North_Dakota/Center
        - America/North_Dakota/New_Salem
        - America/Nuuk
        - America/Ojinaga
        - America/Panama
        - America/Pangnirtung
        - America/Paramaribo
        - America/Phoenix
        - America/Port-au-Prince
        - America/Port_of_Spain
        - America/Porto_Acre
        - America/Porto_Velho
        - America/Puerto_Rico
        - America/Punta_Arenas
        - America/Rainy_River
        - America/Rankin_Inlet
        - America/Recife
        - America/Regina
        - America/Resolute
        - America/Rio_Branco
        - America/Rosario
        - America/Santa_Isabel
        - America/Santarem
        - America/Santiago
        - America/Santo_Domingo
        - America/Sao_Paulo
        - America/Scoresbysund
        - America/Shiprock
        - America/Sitka
        - America/St_Barthelemy
        - America/St_Johns
        - America/St_Kitts
        - America/St_Lucia
        - America/St_Thomas
        - America/St_Vincent
        - America/Swift_Current
        - America/Tegucigalpa
        - America/Thule
        - America/Thunder_Bay
        - America/Tijuana
        - America/Toronto
        - America/Tortola
        - America/Vancouver
        - America/Virgin
        - America/Whitehorse
        - America/Winnipeg
        - America/Yakutat
        - America/Yellowknife
        - Antarctica/Casey
        - Antarctica/Davis
        - Antarctica/DumontDUrville
        - Antarctica/Macquarie
        - Antarctica/Mawson
        - Antarctica/McMurdo
        - Antarctica/Palmer
        - Antarctica/Rothera
        - Antarctica/South_Pole
        - Antarctica/Syowa
        - Antarctica/Troll
        - Antarctica/Vostok
        - Arctic/Longyearbyen
        - Asia/Aden
        - Asia/Almaty
        - Asia/Amman
        - Asia/Anadyr
        - Asia/Aqtau
        - Asia/Aqtobe
        - Asia/Ashgabat
        - Asia/Ashkhabad
        - Asia/Atyrau
        - Asia/Baghdad
        - Asia/Bahrain
        - Asia/Baku
        - Asia/Bangkok
        - Asia/Barnaul
        - Asia/Beirut
        - Asia/Bishkek
        - Asia/Brunei
        - Asia/Calcutta
        - Asia/Chita
        - Asia/Choibalsan
        - Asia/Chongqing
        - Asia/Chungking
        - Asia/Colombo
        - Asia/Dacca
        - Asia/Damascus
        - Asia/Dhaka
        - Asia/Dili
        - Asia/Dubai
        - Asia/Dushanbe
        - Asia/Famagusta
        - Asia/Gaza
        - Asia/Harbin
        - Asia/Hebron
        - Asia/Ho_Chi_Minh
        - Asia/Hong_Kong
        - Asia/Hovd
        - Asia/Irkutsk
        - Asia/Istanbul
        - Asia/Jakarta
        - Asia/Jayapura
        - Asia/Jerusalem
        - Asia/Kabul
        - Asia/Kamchatka
        - Asia/Karachi
        - Asia/Kashgar
        - Asia/Kathmandu
        - Asia/Katmandu
        - Asia/Khandyga
        - Asia/Kolkata
        - Asia/Krasnoyarsk
        - Asia/Kuala_Lumpur
        - Asia/Kuching
        - Asia/Kuwait
        - Asia/Macao
        - Asia/Macau
        - Asia/Magadan
        - Asia/Makassar
        - Asia/Manila
        - Asia/Muscat
        - Asia/Nicosia
        - Asia/Novokuznetsk
        - Asia/Novosibirsk
        - Asia/Omsk
        - Asia/Oral
        - Asia/Phnom_Penh
        - Asia/Pontianak
        - Asia/Pyongyang
        - Asia/Qatar
        - Asia/Qostanay
        - Asia/Qyzylorda
        - Asia/Rangoon
        - Asia/Riyadh
        - Asia/Saigon
        - Asia/Sakhalin
        - Asia/Samarkand
        - Asia/Seoul
        - Asia/Shanghai
        - Asia/Singapore
        - Asia/Srednekolymsk
        - Asia/Taipei
        - Asia/Tashkent
        - Asia/Tbilisi
        - Asia/Tehran
        - Asia/Tel_Aviv
        - Asia/Thimbu
        - Asia/Thimphu
        - Asia/Tokyo
        - Asia/Tomsk
        - Asia/Ujung_Pandang
        - Asia/Ulaanbaatar
        - Asia/Ulan_Bator
        - Asia/Urumqi
        - Asia/Ust-Nera
        - Asia/Vientiane
        - Asia/Vladivostok
        - Asia/Yakutsk
        - Asia/Yangon
        - Asia/Yekaterinburg
        - Asia/Yerevan
        - Atlantic/Azores
        - Atlantic/Bermuda
        - Atlantic/Canary
        - Atlantic/Cape_Verde
        - Atlantic/Faeroe
        - Atlantic/Faroe
        - Atlantic/Jan_Mayen
        - Atlantic/Madeira
        - Atlantic/Reykjavik
        - Atlantic/South_Georgia
        - Atlantic/St_Helena
        - Atlantic/Stanley
        - Australia/ACT
        - Australia/Adelaide
        - Australia/Brisbane
        - Australia/Broken_Hill
        - Australia/Canberra
        - Australia/Currie
        - Australia/Darwin
        - Australia/Eucla
        - Australia/Hobart
        - Australia/LHI
        - Australia/Lindeman
        - Australia/Lord_Howe
        - Australia/Melbourne
        - Australia/NSW
        - Australia/North
        - Australia/Perth
        - Australia/Queensland
        - Australia/South
        - Australia/Sydney
        - Australia/Tasmania
        - Australia/Victoria
        - Australia/West
        - Australia/Yancowinna
        - Brazil/Acre
        - Brazil/DeNoronha
        - Brazil/East
        - Brazil/West
        - CET
        - CST6CDT
        - Canada/Atlantic
        - Canada/Central
        - Canada/Eastern
        - Canada/Mountain
        - Canada/Newfoundland
        - Canada/Pacific
        - Canada/Saskatchewan
        - Canada/Yukon
        - Chile/Continental
        - Chile/EasterIsland
        - Cuba
        - EET
        - EST
        - EST5EDT
        - Egypt
        - Eire
        - Etc/GMT
        - Etc/GMT+0
        - Etc/GMT+1
        - Etc/GMT+10
        - Etc/GMT+11
        - Etc/GMT+12
        - Etc/GMT+2
        - Etc/GMT+3
        - Etc/GMT+4
        - Etc/GMT+5
        - Etc/GMT+6
        - Etc/GMT+7
        - Etc/GMT+8
        - Etc/GMT+9
        - Etc/GMT-0
        - Etc/GMT-1
        - Etc/GMT-10
        - Etc/GMT-11
        - Etc/GMT-12
        - Etc/GMT-13
        - Etc/GMT-14
        - Etc/GMT-2
        - Etc/GMT-3
        - Etc/GMT-4
        - Etc/GMT-5
        - Etc/GMT-6
        - Etc/GMT-7
        - Etc/GMT-8
        - Etc/GMT-9
        - Etc/GMT0
        - Etc/Greenwich
        - Etc/UCT
        - Etc/UTC
        - Etc/Universal
        - Etc/Zulu
        - Europe/Amsterdam
        - Europe/Andorra
        - Europe/Astrakhan
        - Europe/Athens
        - Europe/Belfast
        - Europe/Belgrade
        - Europe/Berlin
        - Europe/Bratislava
        - Europe/Brussels
        - Europe/Bucharest
        - Europe/Budapest
        - Europe/Busingen
        - Europe/Chisinau
        - Europe/Copenhagen
        - Europe/Dublin
        - Europe/Gibraltar
        - Europe/Guernsey
        - Europe/Helsinki
        - Europe/Isle_of_Man
        - Europe/Istanbul
        - Europe/Jersey
        - Europe/Kaliningrad
        - Europe/Kiev
        - Europe/Kirov
        - Europe/Kyiv
        - Europe/Lisbon
        - Europe/Ljubljana
        - Europe/London
        - Europe/Luxembourg
        - Europe/Madrid
        - Europe/Malta
        - Europe/Mariehamn
        - Europe/Minsk
        - Europe/Monaco
        - Europe/Moscow
        - Europe/Nicosia
        - Europe/Oslo
        - Europe/Paris
        - Europe/Podgorica
        - Europe/Prague
        - Europe/Riga
        - Europe/Rome
        - Europe/Samara
        - Europe/San_Marino
        - Europe/Sarajevo
        - Europe/Saratov
        - Europe/Simferopol
        - Europe/Skopje
        - Europe/Sofia
        - Europe/Stockholm
        - Europe/Tallinn
        - Europe/Tirane
        - Europe/Tiraspol
        - Europe/Ulyanovsk
        - Europe/Uzhgorod
        - Europe/Vaduz
        - Europe/Vatican
        - Europe/Vienna
        - Europe/Vilnius
        - Europe/Volgograd
        - Europe/Warsaw
        - Europe/Zagreb
        - Europe/Zaporozhye
        - Europe/Zurich
        - Factory
        - GB
        - GB-Eire
        - GMT
        - GMT+0
        - GMT-0
        - GMT0
        - Greenwich
        - HST
        - Hongkong
        - Iceland
        - Indian/Antananarivo
        - Indian/Chagos
        - Indian/Christmas
        - Indian/Cocos
        - Indian/Comoro
        - Indian/Kerguelen
        - Indian/Mahe
        - Indian/Maldives
        - Indian/Mauritius
        - Indian/Mayotte
        - Indian/Reunion
        - Iran
        - Israel
        - Jamaica
        - Japan
        - Kwajalein
        - Libya
        - MET
        - MST
        - MST7MDT
        - Mexico/BajaNorte
        - Mexico/BajaSur
        - Mexico/General
        - NZ
        - NZ-CHAT
        - Navajo
        - PRC
        - PST8PDT
        - Pacific/Apia
        - Pacific/Auckland
        - Pacific/Bougainville
        - Pacific/Chatham
        - Pacific/Chuuk
        - Pacific/Easter
        - Pacific/Efate
        - Pacific/Enderbury
        - Pacific/Fakaofo
        - Pacific/Fiji
        - Pacific/Funafuti
        - Pacific/Galapagos
        - Pacific/Gambier
        - Pacific/Guadalcanal
        - Pacific/Guam
        - Pacific/Honolulu
        - Pacific/Johnston
        - Pacific/Kanton
        - Pacific/Kiritimati
        - Pacific/Kosrae
        - Pacific/Kwajalein
        - Pacific/Majuro
        - Pacific/Marquesas
        - Pacific/Midway
        - Pacific/Nauru
        - Pacific/Niue
        - Pacific/Norfolk
        - Pacific/Noumea
        - Pacific/Pago_Pago
        - Pacific/Palau
        - Pacific/Pitcairn
        - Pacific/Pohnpei
        - Pacific/Ponape
        - Pacific/Port_Moresby
        - Pacific/Rarotonga
        - Pacific/Saipan
        - Pacific/Samoa
        - Pacific/Tahiti
        - Pacific/Tarawa
        - Pacific/Tongatapu
        - Pacific/Truk
        - Pacific/Wake
        - Pacific/Wallis
        - Pacific/Yap
        - Poland
        - Portugal
        - ROC
        - ROK
        - Singapore
        - Turkey
        - UCT
        - US/Alaska
        - US/Aleutian
        - US/Arizona
        - US/Central
        - US/East-Indiana
        - US/Eastern
        - US/Hawaii
        - US/Indiana-Starke
        - US/Michigan
        - US/Mountain
        - US/Pacific
        - US/Samoa
        - UTC
        - Universal
        - W-SU
        - WET
        - Zulu
      example: America/New_York
      default: America/New_York
    Contact-Update:
      title: Contact-Update
      x-stoplight:
        id: p2ny8u55sfpcx
      type: object
      properties:
        name:
          type: string
          x-stoplight:
            id: wm2na5bv2uvvv
        email:
          x-stoplight:
            id: mdv25imtbstfh
          type: string
        phone:
          type: string
          x-stoplight:
            id: rtf4rqlgwt35i
          example: '+18885551234'
      additionalProperties: false
    UsageStatus:
      title: UsageStatus
      x-stoplight:
        id: m57ggtmxjg5pi
      enum:
        - demo
        - onboarding
        - active
        - suspended
        - churned
        - deleted
      description: Usage status
      default: demo
      example: demo
      x-internal: true
    BillingStatus:
      title: BillingStatus
      x-stoplight:
        id: 3d3i9tmtxbbf5
      enum:
        - unpaid
        - free_trial
        - paid
        - overdue
        - suspended
        - churned
      default: unpaid
      example: unpaid
      description: Billing Status
      x-internal: true
    SaasBillingPlan:
      title: SaasBillingPlan
      x-stoplight:
        id: e7hyhw2zszf6l
      enum:
        - basic
        - standard
        - pro
      example: basic
      default: basic
      x-internal: true
    CompanyType:
      title: CompanyType
      x-stoplight:
        id: dkzo7gjbtb1b3
      enum:
        - broker
        - contractor
        - hauler
        - owner_operator
        - producer
        - super
      example: hauler
      description: Company Type
    AuthMethod:
      title: AuthMethod
      x-stoplight:
        id: 4h7bxzt0hkx3o
      enum:
        - sso
        - magic_link
        - password
        - google_auth
        - microsoft_auth
        - otp_sms
      description: ''
    Company-Read-Nested:
      title: Company-Read-Nested
      x-stoplight:
        id: cb2kn77qmf1l7
      description: Compact Company model for nested reads.
      allOf:
        - $ref: '#/components/schemas/Identifier'
          x-stoplight:
            id: jwsufva4znm91
        - $ref: '#/components/schemas/TreadId'
        - type: object
          properties:
            legal_name:
              type: string
              x-stoplight:
                id: yc10t8hieecwk
              description: The Company's name. Must be globally unique.
            company_type:
              $ref: '#/components/schemas/CompanyType'
          required:
            - legal_name
            - company_type
    Timestamps:
      title: Timestamps
      x-stoplight:
        id: t82ecgfu0oj00
      type: object
      required:
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          x-stoplight:
            id: gjj950jpq0ga9
          format: date-time
          description: ISO8601 timestamp with local timezone
        updated_at:
          type: string
          x-stoplight:
            id: bwcuyfwc7aj0e
          format: date-time
          description: ISO8601 timestamp with local timezone
      additionalProperties: false
    Address-Read-Nested:
      title: Address-Read-Nested
      x-stoplight:
        id: cvym2dzuo375q
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - $ref: '#/components/schemas/Address-Read'
    Contact-Read-Nested:
      title: Contact-Read-Nested
      x-stoplight:
        id: 3u6d8qhsz5ehn
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - email
            - phone
          properties:
            name:
              type: string
              x-stoplight:
                id: sd80y9pbgvkok
              nullable: true
            email:
              type: string
              x-stoplight:
                id: 883fmt34pdeaj
              nullable: true
            phone:
              type: string
              x-stoplight:
                id: wdtqyju4t4u06
              example: '+18885551234'
              nullable: true
      description: ''
    Error-Response:
      title: Error-Response
      x-stoplight:
        id: 52cydhphee3qe
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
      additionalProperties: false
    UnauthenticatedError-Response:
      title: UnauthenticatedError-Response
      x-stoplight:
        id: o477eph7ttbzt
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/UnauthenticatedError'
      additionalProperties: false
    ModelError-Response:
      title: ModelError-Response
      x-stoplight:
        id: payf9ndh3l6np
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ModelError'
      additionalProperties: false
    Identifier:
      title: Identifier
      x-stoplight:
        id: gnd39lue5v7ol
      type: object
      required:
        - id
      properties:
        id:
          type: string
          x-stoplight:
            id: 2e38hjk4zd58m
          format: uuid
      additionalProperties: false
    TreadId:
      title: TreadId
      x-stoplight:
        id: 43k4t5tl359m4
      type: object
      required:
        - tread_id
      properties:
        tread_id:
          type: string
          x-stoplight:
            id: zi3ld7djflw6f
          pattern: ^[0-9A-F]{6}$
          minLength: 6
          maxLength: 6
          example: ABC123
          description: Tread ID
      additionalProperties: false
    Address-Read:
      title: Address-Read
      x-stoplight:
        id: v1mcd2qgns2tf
      type: object
      required:
        - thoroughfare
        - premise
        - locality
        - administrative_area
        - postal_code
        - country
        - lat
        - lon
        - place_id
      properties:
        thoroughfare:
          type: string
          x-stoplight:
            id: 8wrr7qkc9ilqn
        premise:
          type: string
          x-stoplight:
            id: z4jth408out1q
          nullable: true
        locality:
          type: string
          x-stoplight:
            id: kfby6wqpgvxbz
        administrative_area:
          type: string
          x-stoplight:
            id: c9bkrloxf4t8d
        postal_code:
          type: string
          x-stoplight:
            id: 7zq51k1mof3o3
        country:
          type: string
          x-stoplight:
            id: iydw9q619ya01
          pattern: ^[A-Z]{2}
          example: US
          minLength: 2
          maxLength: 2
        lat:
          type: string
          x-stoplight:
            id: kqu1qtf9rivh1
          description: |-
            latitude of the `Address`. 

            Must be a stringified number between -90 and 90 inclusive.

            Required if `lon` is present.
          nullable: true
        lon:
          type: string
          x-stoplight:
            id: oly2yabkzpk9g
          description: |-
            longitude of the `Address`. 

            Must be a stringified number between -180 and 180 inclusive.

            Required if `lat` is present.
          nullable: true
        place_id:
          type: string
          x-stoplight:
            id: im1fdq7qqxdij
          description: NextBillion placeID
          nullable: true
      additionalProperties: false
    Error:
      title: Error
      x-stoplight:
        id: 3g57kkik3l464
      type: object
      description: An Error.
      required:
        - code
      properties:
        code:
          type: string
          x-stoplight:
            id: 7o9x1t8v0bgfo
      additionalProperties: false
    UnauthenticatedError:
      title: UnauthenticatedError
      x-stoplight:
        id: 202o69l0fs40h
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          x-stoplight:
            id: tg10dt7s0l6bw
          properties:
            error_type:
              type: string
              x-stoplight:
                id: wvq8c0qsym4hz
          required:
            - error_type
    ModelError:
      title: ModelError
      x-stoplight:
        id: nhp6714o4j1qt
      description: A Model-specific error
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          required:
            - errors
          properties:
            errors:
              type: array
              x-stoplight:
                id: m4ul9vcq2deh6
              items:
                $ref: '#/components/schemas/ModelError-Item'
    ModelError-Item:
      title: ModelError-Item
      x-stoplight:
        id: b93chwval2t8d
      type: object
      required:
        - model
        - field
        - message
      properties:
        model:
          type: string
          x-stoplight:
            id: 30myfyjkno8ao
          description: The Model associated with this Error
        field:
          type: string
          x-stoplight:
            id: 8gl4ed3uxhdws
          description: The field associated with this Error
        message:
          type: string
          x-stoplight:
            id: bmgbrtmw17qsj
          description: The Error message
      additionalProperties: false
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error-Response'
            type: object
    UnauthenticatedError:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError-Response'
            type: object
    ModelError:
      description: ''
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ModelError-Response'
            type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````